<?php
/*
-----------------------------------------
Автор: -=КотЭ=-(-=MTV=-) и Shot(Robber)
Бесплатный WAP движок: Strongcms
Контакты: 0664452670(МТС) ибо ICQ(7296000)
Файл: function.php
-------------------------------------------
*/

/****** Создаем переменную адреса *****/
$HOME = 'http://'.$_SERVER['HTTP_HOST'];

/******* Запускаем сессии ******/
session_start();
ob_start();
###############################
######## Фильтрация ###########
###############################
function strong($msg){
$msg = trim($msg);
$msg = htmlspecialchars($msg);
$msg = mysql_escape_string($msg);
return $msg;
}
###############################
####### Подключаем БД #########
###############################
require_once ('config.php'); //Подключаем конфиг с параметрами
$mysql_connect = mysql_connect(dbhost, dbuser, dbpass) or die('Сайт не доступен ,возможно Вы не прописали БД!');
mysql_query('SET NAMES `utf8`', $mysql_connect);
mysql_select_db(dbname, $mysql_connect) or die('Нету подключения к БД');
###############################
##### Проверяем сылку гет #####
###############################
foreach ($_GET as $links) {
if (!is_string($links) || !preg_match('#^(?:[a-z0-9_\-/]+|\.+(?!/))*$#i', $links)) {
header ('Location: '.$HOME.'');
exit;
}
}
unset($links);
###############################
############ Куки #############
###############################
if (isset($_COOKIE['uslog']) and isset($_COOKIE['uspass'])) {
$uslog = strong($_COOKIE['uslog']);
$uspass = strong($_COOKIE['uspass']);
$dbs = mysql_query("SELECT * FROM `users` WHERE `login` = '".$uslog."' and `pass` = '".$uspass."' LIMIT 1");
$user = mysql_fetch_assoc($dbs);
if (isset($user['id'])) {
if ($user['login'] != $uslog or $user['pass'] != $uspass) {
setcookie('uslog', '', time() - 86400*31);
setcookie('uspass', '', time() - 86400*31);
}
}

$users = mysql_fetch_assoc(mysql_query("SELECT * FROM `users` WHERE `login` = '".$uslog."' and `pass`='".$uspass."' LIMIT 1"));
mysql_query("UPDATE `users` SET `viz`='".time()."', `ip`='".$_SERVER['REMOTE_ADDR']."',`browser`='".$_SERVER['HTTP_USER_AGENT']."',`gde`='".$_SERVER['REQUEST_URI']."' WHERE `id`='".$users['id']."'");
$vremja = time() - $users['viz'];
if($vremja < 120) {
$newtime = $user['online'] + $vremja;
mysql_query("UPDATE `users` SET `online` ='".$newtime."'  WHERE `id`='".$users['id']."'");
}

if(isset($user['id']) && $users['login']!=$uslog or $users['pass']!=$uspass) {
setcookie('uslog', '', time() - 86400*31);
setcookie('uspass', '', time() - 86400*31);
}
}
###############################
########### BB Коды ###########
###############################
function bb($mes){
$mes = stripslashes($mes);
$mes = preg_replace('#\[cit\](.*?)\[/cit\]#si', '<div class="cit">\1</div>', $mes);
$mes = preg_replace('#\[b\](.*?)\[/b\]#si', '<span style="font-weight: bold;"> \1 </span>', $mes);
$mes = preg_replace('/\[url\s?=\s?([\'"]?)(?:http:\/\/)?(.*?)\1\](.*?)\[\/url\]/', ' <a href="http://$2"> $3 </a> ', $mes);
$mes = preg_replace('#\[black\](.*?)\[\/black\]#si', '<span style="color:#000000;">\1</span>', $mes);
$mes = preg_replace('#\[u\](.*?)\[/u\]#si', '<u>\1</u>', $mes);
$mes = preg_replace('#\[i\](.*?)\[/i\]#si', '<i>\1</i>', $mes);
$mes = preg_replace('/\[br]/', ' <br /> ', $mes);
$mes = preg_replace('/\[img\s?=\s?([\'"]?)(?:http:\/\/)?(.*?)\1\](.*?)\[\/img\]/', ' <img src="http://$2" width="max200" height="max200" alt="Картинки нет"> ', $mes);

return $mes;
}
###############################
######### Функция ника ########
###############################
function nick($id){
$users = mysql_fetch_array(mysql_query("SELECT * FROM `users` WHERE `id` = '".$id."' LIMIT 1"));
//---Х-статус---//
if($users['sex'] == 1)$pol = 'man_on';
else
if($users['sex'] == 2)$pol = 'j_on';

if($users['xstatus'] == 0)$xst = '<img src="'.$HOME.'/images/onl/'.$pol.'.png" alt="*" title="Онлайн" />';
elseif($users['xstatus'] == 1)$xst = '<img src="'.$HOME.'/images/x-status/1.png" alt="*" />';
elseif($users['xstatus'] == 2)$xst = '<img src="'.$HOME.'/images/x-status/2.png" alt="*" />';
elseif($users['xstatus'] == 3)$xst = '<img src="'.$HOME.'/images/x-status/3.png" alt="*" />';
elseif($users['xstatus'] == 4)$xst = '<img src="'.$HOME.'/images/x-status/4.png" alt="*" />';
elseif($users['xstatus'] == 5)$xst = '<img src="'.$HOME.'/images/x-status/5.png" alt="*" />';
elseif($users['xstatus'] == 6)$xst = '<img src="'.$HOME.'/images/x-status/6.png" alt="*" />';
elseif($users['xstatus'] == 7)$xst = '<img src="'.$HOME.'/images/x-status/7.png" alt="*" />';
elseif($users['xstatus'] == 8)$xst = '<img src="'.$HOME.'/images/x-status/8.png" alt="*" />';
elseif($users['xstatus'] == 9)$xst = '<img src="'.$HOME.'/images/x-status/9.png" alt="*" />';
elseif($users['xstatus'] == 10)$xst = '<img src="'.$HOME.'/images/x-status/10.png" alt="*" />';
elseif($users['xstatus'] == 11)$xst = '<img src="'.$HOME.'/images/x-status/11.png" alt="*" />';
elseif($users['xstatus'] == 12)$xst = '<img src="'.$HOME.'/images/x-status/12.png" alt="*" />';
elseif($users['xstatus'] == 13)$xst = '<img src="'.$HOME.'/images/x-status/13.png" alt="*" />';
elseif($users['xstatus'] == 14)$xst = '<img src="'.$HOME.'/images/x-status/14.png" alt="*" />';
elseif($users['xstatus'] == 15)$xst = '<img src="'.$HOME.'/images/x-status/15.png" alt="*" />';
elseif($users['xstatus'] == 16)$xst = '<img src="'.$HOME.'/images/x-status/16.png" alt="*" />';
elseif($users['xstatus'] == 17)$xst = '<img src="'.$HOME.'/images/x-status/17.png" alt="*" />';
//-----Если пол == 1(мужской)-----//
if($users['sex'] == 1)
{
//-----Если онлайн-----//
if($users['viz'] > time()-360)
{
$p = $xst;
} else {
$p = '<img src="'.$HOME.'/images/onl/man_of.png" alt="*" title = "Оффлайн"/>';
}
}
//-----Если пол == 2(жен)-----//
elseif($users['sex'] == 2)
{
if($users['viz'] > time()-360)
{
$p = $xst;
} else {
$p = '<img src="'.$HOME.'/images/onl/j_of.png" alt="*" title = "Оффлайн"/>';
}
}
return (empty($users)?'[Удален]':''.$p.' <a href="/user_'.$users['id'].'"><font color="'.$users['color_nick'].'"><b>'.$users['login'].'</b></font></a>');
}
###############################
########### Листинг ###########
###############################
function page($k_page=1) {
$page = 1;
$page = strong($page);
$k_page = strong($k_page);
if(isset($_GET['selection'])) {
if ($_GET['selection']=='top')
$page = strong(intval($k_page));
elseif(is_numeric($_GET['selection']))
$page = strong(intval($_GET['selection']));
}
if ($page<1)$page=1;
if ($page>$k_page)$page=$k_page;
return $page;
}

// Определяем кол-во страниц
function k_page($k_post = 0,$k_p_str = 10) {
if ($k_post != 0) {
$v_pages = ceil($k_post/$k_p_str);
return $v_pages;
}
else return 1;
}

function str($link='?',$k_page=1,$page=1){
if ($page<1)$page=1;
$page = strong($page);
$k_page = strong($k_page);
echo '<div class="links">';

if ($page>1)echo '<a href="'.$link.'selection='.($page-1).'">&lt;&lt; Назад</a> ';
else echo "&lt;&lt; Назад ";
echo " | ";
if ($page<$k_page)echo ' <a href="'.$link.'selection='.($page+1).'" >Вперед &gt;&gt;</a>';
else echo " Вперед &gt;&gt;";
echo '<br />';
if ($page != 1)
echo '<a href="'.$link.'selection=1" >1</a>';
else echo '<b>1</b>';
for ($ot=-3; $ot<=3; $ot++){
if ($page+$ot>1 && $page+$ot<$k_page){
if ($ot==-3 && $page+$ot>2)echo " ..";
if ($ot!=0)echo '|<a href="'.$link.'selection='.($page+$ot).'" >'.($page+$ot).'</a>';
else echo '|<b>'.($page+$ot).'</b>';
if ($ot==3 && $page+$ot<$k_page-1)echo "|..";}}
if ($page!=$k_page)echo '|<a href="'.$link.'selection=top" >'.$k_page.'</a>';
elseif ($k_page>1)echo '|<b>'.$k_page.'</b>';
echo '</div>';
}
###############################
############ Время ############
###############################
function vremja($time = NULL) {
if(!$time) $time = time();
$data = date('j.n.y', $time);
if($data == date('j.n.y')) $res = 'Сегодня в '. date('G:i', $time);
elseif($data == date('j.n.y', time() - 86400)) $res = 'Вчера в '. date('G:i', $time);

else {
$m = array('0',
'Янв', 'Фев',
'Мар', 'Апр', 'Май',
'Июн', 'Июл', 'Авг',
'Сен', 'Окт', 'Ноя',
'Дек');
$res = date('j '. $m[date('n', $time)] .' Y в G:i', $time);
}
return $res;
}
###############################
############ Смайлы ############
###############################
function smile($msg)
{
$msg = trim($msg);
$s = mysql_query("SELECT * FROM `smile` ORDER BY `id` DESC");
while($smile = mysql_fetch_array($s))
{
$msg = str_replace($smile['name'],' <img src="'.$HOME.'/files/smile/'.$smile['icon'].'" alt="'.$smile['name'].'"/> ',$msg);
}
return $msg;
}
###############################
############ Бан ############
###############################
require_once ('ban.php');
?>